#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	man-db
Version		:	2.12.1
Release		:	17.0.10.rel%{?dist}
Summary		:	Tools for searching and reading man pages
Group		:	System Environment/Base

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+ and GPLv3+
URL		:	http://www.nongnu.org/man-db/
			#https://download.savannah.gnu.org/releases/man-db

Source0		:	%{name}-%{version}.tar.xz
Source1		:	%{name}-ok_addon.tar.gz

#-----------------------------------------------------------------------------
Requires	:	coreutils
Requires	:	less
Requires	:	gzip
Requires	:	groff
#-----------------------------------------------------------------------------
%description
The man-db package includes five tools for browsing man-pages:
man, whatis, apropos, manpath and lexgrog. man formats and displays
manual pages. whatis searches the manual page names. apropos searches the
manual page names and descriptions. manpath determines search path
for manual pages. lexgrog directly reads header information in
manual pages.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc FAQ NEWS.md README.md
%{_sysconfdir}/man_db.conf
%config(noreplace) %attr (0754,root,root) %{_sysconfdir}/cron.daily/%{name}.cron
%{_bindir}/apropos
%{_bindir}/catman
%{_bindir}/lexgrog
%{_bindir}/man
%{_bindir}/man-recode
%{_bindir}/mandb
%{_bindir}/manpath
%{_bindir}/whatis
%{_sbindir}/accessdb
%{_libdir}/%{name}/libman*.{la,so}
%{_libexecdir}/%{name}/*
%{_datadir}/locale/*/LC_MESSAGES/%{name}*.mo
%{_mandir}/man1/*.1.gz
%{_mandir}/man5/*.5.gz
%{_mandir}/man8/*.8.gz
%{_mandir}/it/*
%{_defaultdocdir}/%{name}-%{version}/*

#=============================================================================
%prep
%setup -q
tar xf %{SOURCE1}

#-----------------------------------------------------------------------------
#building application
%build

autoreconf -vif
./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-setuid				\
	--enable-cache-owner=bin			\
	--with-browser=/usr/bin/lynx			\
	--with-vgrind=/usr/bin/vgrind			\
	--with-grap=/usr/bin/grap			\
	--with-systemdtmpfilesdir=no			\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make} DESTDIR=%{buildroot} install

#store the fcron directive
%{__mkdir_p} %{buildroot}%{_sysconfdir}/cron.daily
%{__cp}                                                 \
        %{name}-ok_addon/%{name}.cron                  \
        %{buildroot}%{_sysconfdir}/cron.daily

#removing systemd components
%{__rm} -fr %{buildroot}/lib/systemd

#-----------------------------------------------------------------------------
%changelog
